Zernio
Zernio
API Reference

Contacts

List contactsGETCreate contactPOSTList channels for a contactGETGet contactGETUpdate contactPATCHDelete contactDELETEBulk create contactsPOST
Dashboard
llms.txtOpenAPI
OverviewPlatformsAPI ReferenceResources
Contacts

Update contact

Update one or more fields on a contact. Only provided fields are changed.


PATCH
/v1/contacts/{contactId}

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication: send your Zernio API key in the Authorization header, prefixed with Bearer.

In: header

Path Parameters

contactId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

{  "success": true,  "contact": {    "id": "string",    "name": "string",    "email": "string",    "company": "string",    "avatarUrl": "string",    "tags": [      "string"    ],    "isSubscribed": true,    "isBlocked": true,    "notes": "string",    "updatedAt": "2019-08-24T14:15:22Z"  }}
Was this page helpful?

Get contact

Returns a contact with all associated messaging channels.

Delete contact

Permanently deletes a contact and all associated channels.

name?string
email?string
company?string
avatarUrl?string
tags?array<string>
isSubscribed?boolean
isBlocked?boolean
notes?string